VeighNa量化社区
你的开源社区量化交易平台
Member
avatar
加入于:
帖子: 1
声望: 0

description
Traceback (most recent call last):
File "D:\veighna_studio\lib\site-packages\peewee.py", line 3177, in execute_sql
cursor.execute(sql, params or ())
File "D:\veighna_studio\lib\site-packages\pymysql\cursors.py", line 148, in execute
result = self._query(query)
File "D:\veighna_studio\lib\site-packages\pymysql\cursors.py", line 310, in _query
conn.query(q)
File "D:\veighna_studio\lib\site-packages\pymysql\connections.py", line 547, in query
self._execute_command(COMMAND.COM_QUERY, sql)
File "D:\veighna_studio\lib\site-packages\pymysql\connections.py", line 793, in _execute_command
raise err.InterfaceError(0, "")
pymysql.err.InterfaceError: (0, '')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "D:\veighna_studio\lib\site-packages\vnpy_datamanager\ui\widget.py", line 137, in refresh_tree
overviews = self.engine.get_bar_overview()
File "D:\veighna_studio\lib\site-packages\vnpy_datamanager\engine.py", line 149, in get_bar_overview
return self.database.get_bar_overview()
File "D:\veighna_studio\lib\site-packages\vnpy_mysql\mysql_database.py", line 363, in get_bar_overview
data_count = DbBarData.select().count()
File "D:\veighna_studio\lib\site-packages\peewee.py", line 1918, in inner
return method(self, database, args, **kwargs)
File "D:\veighna_studio\lib\site-packages\peewee.py", line 2196, in count
return Select([clone], [fn.COUNT(SQL('1'))]).scalar(database)
File "D:\veighna_studio\lib\site-packages\peewee.py", line 1918, in inner
return method(self, database,
args, kwargs)
File "D:\veighna_studio\lib\site-packages\peewee.py", line 2181, in scalar
row = self.tuples().peek(database)
File "D:\veighna_studio\lib\site-packages\peewee.py", line 1918, in inner
return method(self, database, *args,
kwargs)
File "D:\veighna_studio\lib\site-packages\peewee.py", line 2168, in peek
rows = self.execute(database)[:n]
File "D:\veighna_studio\lib\site-packages\peewee.py", line 1918, in inner
return method(self, database, args, **kwargs)
File "D:\veighna_studio\lib\site-packages\peewee.py", line 1989, in execute
return self._execute(database)
File "D:\veighna_studio\lib\site-packages\peewee.py", line 2162, in _execute
cursor = database.execute(self)
File "D:\veighna_studio\lib\site-packages\peewee.py", line 3190, in execute
return self.execute_sql(sql, params, commit=commit)
File "D:\veighna_studio\lib\site-packages\peewee.py", line 3174, in execute_sql
with exception_wrapper:
File "D:\veighna_studio\lib\site-packages\peewee.py", line 2950, in exit
reraise(new_type, new_type(exc_value,
exc_args), traceback)
File "D:\veighna_studio\lib\site-packages\peewee.py", line 191, in reraise
raise value.with_traceback(tb)
File "D:\veighna_studio\lib\site-packages\peewee.py", line 3177, in execute_sql
cursor.execute(sql, params or ())
File "D:\veighna_studio\lib\site-packages\pymysql\cursors.py", line 148, in execute
result = self._query(query)
File "D:\veighna_studio\lib\site-packages\pymysql\cursors.py", line 310, in _query
conn.query(q)
File "D:\veighna_studio\lib\site-packages\pymysql\connections.py", line 547, in query
self._execute_command(COMMAND.COM_QUERY, sql)
File "D:\veighna_studio\lib\site-packages\pymysql\connections.py", line 793, in _execute_command
raise err.InterfaceError(0, "")
peewee.InterfaceError: (0, '')

Member
avatar
加入于:
帖子: 449
声望: 23

请检查下是否MySQL数据库服务在正常运行吧

© 2015-2022 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号

沪公网安备 31011502017034号

【用户协议】
【隐私政策】
【免责条款】